<div id="LOGIN">
    <img src="/img/login-bg.jpg" alt="Panel zarządzania serwerem" class="fullheight">
    <div class="login-container">
        <div class="login-wrap">
            <div class="login-inner">
                <a href="/" class="logo"><img src="/img/logo.png" alt="" /></a>
                <section class="form-cnt">
                    <div class="greetings">
                        <h2>ADMIN PANEL</h2>
                    </div>
                    {{#if errorMessage}}
                        <p class="field-error">
                            <span>{{errorMessage}}</span>
                        </p>
                    {{/if}}
                    <form name="form1" action="/auth" method="post">
                        <div class="input">
                            <input type="email" id="email" name="username" onblur="requiredField(this)" />
                            <label for="email">Email</label>
                            <p class="field-error" id="field-error"></p>
                        </div>
                        <div class="input">
                            <input type="password" id="password" name="password" onblur="requiredField(this)" />
                            <label for="password">Hasło</label>
                            <p class="field-error"></p>
                        </div>
                        <div class="clr"></div>
                        <button class="button material">LOGIN</button>
                    </form>
                </section>
            </div>
        </div>
    </div>
    <div class="clr"></div>
</div>
<script type="text/javascript">
    function requiredField(input) {
        if (input.value.length < 1) {
            input.nextElementSibling.nextElementSibling.innerHTML= "Pole wymagane";

        } else if (input.type === "email") {
            if (input.value.indexOf("@") !== -1 && input.value.indexOf(".") !== -1) {
                input.nextElementSibling.nextElementSibling.innerHTML= "";
            } else {
                input.nextElementSibling.nextElementSibling.innerHTML= "Nieprawidłowy format adresu e-mail";
            }

        } else {
            input.nextElementSibling.nextElementSibling.innerHTML= "";
        }
    }
</script>
